## diceware 1.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/diceware.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/diceware.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/diceware"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/diceware"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --extra=docs --strip-extras
#
alabaster==1.0.0
    # via sphinx
babel==2.16.0
    # via sphinx
certifi==2024.12.14
    # via requests
charset-normalizer==3.4.0
    # via requests
docutils==0.21.2
    # via
    #   sphinx
    #   sphinx-rtd-theme
idna==3.10
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.5
    # via sphinx
markupsafe==3.0.2
    # via jinja2
packaging==24.2
    # via sphinx
pygments==2.18.0
    # via sphinx
requests==2.32.3
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==8.1.3
    # via
    #   diceware (pyproject.toml)
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==3.0.2
    # via diceware (pyproject.toml)
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
urllib3==2.3.0
    # via requests

## diceware 0.8

=== debian/changelog ===
diceware (0.8-1) unstable; urgency=low

  * Initial debianization. Closes: 796709

 -- Andre Bianchi <drebs@riseup.net>  Tue, 10 May 2016 10:32:20 -0400

=== debian/control ===
Source: diceware
Maintainer: Micah Anderson <micah@debian.org>
Uploaders: Andre Bianchi <drebs@riseup.net>
Section: python
Priority: optional
Build-Depends: python-setuptools, python-all, debhelper (>=9), dh-python
Standards-Version: 3.9.8
Vcs-Git: https://github.com/ulif/diceware.git
Vcs-browser: https://github.com/ulif/diceware
Homepage: https://github.com/ulif/diceware

Package: diceware
Architecture: all
Depends: ${misc:Depends}, ${python:Depends} 
Description: Create passphrases using an ordinary dice as a hardware random number generator
 Passphrase generator following the proposals of Arnold G.
 Reinhold on http://diceware.com . It generates passphrases by concatenating
 words randomly picked from wordlists.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/diceware-$1\.tar\.gz/ \
  https://github.com/ulif/diceware/tags .*/v?(\d\S*)\.tar\.gz

## diceware 0.9.1

=== debian/changelog ===
diceware (0.9.1-4.1) unstable; urgency=medium

  * non-maintainer upload (done with the maintainer watching over my
    shoulder)
  * split dependencies on separate lines
  * swap maintainer and uploaders field
  * ship the README.rst file as part of docs
  * build sphinx documentation in a separate package
  * document the configuration file and manuals in manpage
  * cleanup copyright section in manpage

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 19 Aug 2017 15:47:08 -0400

diceware (0.9.1-3) unstable; urgency=medium

  * fix wordlists path in manpage. Closes: #855468

 -- Andre Bianchi <drebs@riseup.net>  Sat, 28 Jan 2017 10:11:05 -0200

diceware (0.9.1-2) unstable; urgency=medium

  * update manual page.

 -- Andre Bianchi <drebs@riseup.net>  Sun, 15 Jan 2017 08:28:31 -0200

diceware (0.9.1-1) unstable; urgency=medium

  * Update debian copyright file.
  * Package diceware 0.9.1.

 -- Andre Bianchi <drebs@riseup.net>  Sun, 25 Dec 2016 12:26:57 -0200

diceware (0.8-2) unstable; urgency=low

  * Change package section to "utils". Closes: 826637
  * Change package short decription.

 -- Andre Bianchi <drebs@riseup.net>  Tue, 07 Jun 2016 15:14:46 -0300

=== debian/control ===
Source: diceware
Maintainer: Andre Bianchi <drebs@riseup.net>
Uploaders: Micah Anderson <micah@debian.org>
Section: utils
Priority: optional
Build-Depends: python-setuptools
             , python-all
             , debhelper (>=9)
             , dh-python
             , python-pytest-runner
             , python-sphinx
             , python-sphinx-rtd-theme
Standards-Version: 3.9.8
Vcs-Git: https://0xacab.org/drebs/diceware-debian
Vcs-browser: https://0xacab.org/drebs/diceware-debian
Homepage: https://github.com/ulif/diceware
X-Python-Version: 2.7
X-Python3-Version: 3.3, 3.4, 3.5

Package: diceware
Architecture: all
Depends: ${misc:Depends}, ${python:Depends} 
Description: Create memorizable passphrases from wordlists and various sources of randomness
 Passphrase generator following the proposals of Arnold G.
 Reinhold on http://diceware.com . It generates passphrases by concatenating
 words randomly picked from wordlists.

Package: diceware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
       , ${sphinxdoc:Depends}
Description: Create memorizable passphrases from wordlists and various sources of randomness
 Passphrase generator following the proposals of Arnold G.
 Reinhold on http://diceware.com . It generates passphrases by concatenating
 words randomly picked from wordlists.
 .
 This package ships the Sphinx documentation built with diceware.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs

override_dh_installchangelogs:
	 dh_installchangelogs CHANGES.rst

override_dh_auto_install:
	dh_auto_install
	cd docs ; env PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages make html

## diceware 0.9.6

=== debian/changelog ===
diceware (0.9.6-1) unstable; urgency=medium

  * Remove hard-coded python3.6 from the build (closes: #916116).
  * Update upstream to version 0.9.6

 -- Andre Bianchi <drebs@riseup.net>  Mon, 24 Dec 2018 08:01:07 -0200

diceware (0.9.5-2) unstable; urgency=medium

  * Fix short description in diceware-doc package (closes: #914964).

 -- Andre Bianchi <drebs@riseup.net>  Thu, 29 Nov 2018 13:34:41 -0200

diceware (0.9.5-1) unstable; urgency=medium

  * use pybuild to build the package
  * fix quotes in upstream version definition in gbp.conf
  * update debian policy standards version
  * completelly switch to python 3
  * use manpage from upstream
  * avoid fetching data from external website in docs
  * add copyright notice for eff wordlist
  * patch year information in manpage and version otherwise auto test fails
  * update upstream to version 0.9.5

 -- Andre Bianchi <drebs@riseup.net>  Sun, 11 Nov 2018 06:50:51 -0300

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Uploaders: Micah Anderson <micah@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: python-setuptools
-             , python-all
-             , debhelper (>=9)
+Build-Depends: debhelper (>=9)
              , dh-python
-             , python-pytest-runner
-             , python-sphinx
-             , python-sphinx-rtd-theme
-Standards-Version: 3.9.8
+             , python3-setuptools
+             , python3-all
+             , python3-pytest-runner
+             , python3-sphinx
+             , python3-sphinx-rtd-theme
+             , python3-pytest
+Standards-Version: 4.2.1
 Vcs-Git: https://0xacab.org/drebs/diceware-debian
 Vcs-browser: https://0xacab.org/drebs/diceware-debian
 Homepage: https://github.com/ulif/diceware
-X-Python-Version: 2.7
-X-Python3-Version: 3.3, 3.4, 3.5
 
 Package: diceware
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends} 
+Depends: ${misc:Depends}
+       , ${python3:Depends}
 Description: Create memorizable passphrases from wordlists and various sources of randomness
  Passphrase generator following the proposals of Arnold G.
  Reinhold on http://diceware.com . It generates passphrases by concatenating

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=__pycache__
export PYBUILD_TEST_PYTEST=1

# Some things have to be done for a smooth run of tests using pytest:
#   - pytest has to find tests in the source tree.
#   - resources expected for tests have to be copied to build dir.
#   - egg-info has to be available so pkg_resources can find the module.
export PYBUILD_TEST_ARGS={build_dir}/tests
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/README.rst {build_dir}; {interpreter} {dir}/setup.py egg_info -e {build_dir}
export PYBUILD_AFTER_TEST=cd {build_dir}; rm -rf docs README.rst *.egg-info

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs

override_dh_installchangelogs:
	 dh_installchangelogs CHANGES.rst

override_dh_auto_install:
	dh_auto_install
	cd docs ; env PYTHONPATH=$(CURDIR) make html

override_dh_auto_test:
	env PYTHONPATH=$(CURDIR) dh_auto_test

=== debian/tests/control ===
Tests: create-passphrase

## diceware 0.10

=== debian/changelog ===
diceware (0.10-2) unstable; urgency=medium

  * Source-only upload (unblocks migration to testing)

 -- Andre Bianchi <drebs@riseup.net>  Tue, 19 Jul 2022 18:23:34 -0300

diceware (0.10-1) unstable; urgency=medium

  * Update Debian copyright file
  * Update no-external-data-fetch patch
  * Bump debhelper compatibility to version 10
  * Bump Debian Policy version to 4.6.1
  * Use POSIX locale when building doc

 -- Andre Bianchi <drebs@riseup.net>  Mon, 11 Jul 2022 19:11:45 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Micah Anderson <micah@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>=9)
+Build-Depends: debhelper (>=10)
              , dh-python
              , python3-setuptools
              , python3-all
@@ -11,7 +11,7 @@
              , python3-sphinx
              , python3-sphinx-rtd-theme
              , python3-pytest
-Standards-Version: 4.2.1
+Standards-Version: 4.6.1
 Vcs-Git: https://0xacab.org/drebs/diceware-debian
 Vcs-browser: https://0xacab.org/drebs/diceware-debian
 Homepage: https://github.com/ulif/diceware

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	cd docs ; env PYTHONPATH=$(CURDIR) make html
+	cd docs ; env PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 make html
 
 override_dh_auto_test:
 	env PYTHONPATH=$(CURDIR) dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/diceware/diceware-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## diceware 1.0.1

=== debian/changelog ===
diceware (1.0.1-1) unstable; urgency=medium

  * Update upstream to version 1.0.1 (Closes: #1090096, #1083360)
  * Source-only upload (unblocks migration to testing)

 -- Andre Bianchi <drebs@riseup.net>  Mon, 24 Feb 2025 17:20:20 -0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>=10)
              , dh-python
+             , pybuild-plugin-pyproject
              , python3-setuptools
              , python3-all
              , python3-pytest-runner

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #   - resources expected for tests have to be copied to build dir.
 #   - egg-info has to be available so pkg_resources can find the module.
 export PYBUILD_TEST_ARGS={build_dir}/tests
-export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/README.rst {build_dir}; {interpreter} {dir}/setup.py egg_info -e {build_dir}
+export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/README.rst {build_dir}
 export PYBUILD_AFTER_TEST=cd {build_dir}; rm -rf docs README.rst *.egg-info
 
 %:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
      https://github.com/ulif/diceware/tags \
      (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
